package ch.zhaw.projekt2.turnierverwaltung.main;

import ch.zhaw.projekt2.turnierverwaltung.FXController;
import ch.zhaw.projekt2.turnierverwaltung.LanguageConfigurator;
import javafx.application.Platform;
import javafx.fxml.FXML;
import javafx.scene.control.Label;
import javafx.scene.control.Menu;
import javafx.scene.control.MenuItem;
import java.util.logging.Logger;

import java.util.logging.Logger;


/**
 * Main WindowController Class in charge of the Controller Functions of it
 * Since not much is directly in the main window only the top bar functionality is represented (language setting and
 * close option).
 */
public class MainWindowController extends FXController {


    private static final Logger logger = Logger.getLogger(MainWindowController.class.getCanonicalName());
      
    @FXML
    private MenuItem closeBtn;

    @FXML
    private Label mainTitle;

    @FXML
    private Menu menuItemLanguage;


    private static final Logger logger = Logger.getLogger(MainWindowController.class.getCanonicalName());


     * Method changes the language Setting to german
     */
    @FXML
    void changeLangToGerman() {
        getLanguageConfigurator().changeLanguage(LanguageConfigurator.Language.GERMAN);
        logger.fine("language setting changed to german");
    }

    @FXML
    void changeLangToEnglish() {
        getLanguageConfigurator().changeLanguage(LanguageConfigurator.Language.ENGLISH);
        logger.fine("language setting changed to english");
    }

    /**
     * This Method initializes the
     */
    @FXML
    void closeApplication() {
        logger.fine("");
        Platform.exit();
    }

    /**
     * There is no content to load
     */
    @Override
    public void shareGUIElementWithLanguageConfigurator() {
        getLanguageConfigurator().recieveLabel(mainTitle);
        getLanguageConfigurator().recieveMenuItem(closeBtn);
        getLanguageConfigurator().recieveMenuItem(menuItemLanguage);
    }


    /**
     * There is no content to load
     */
    @Override
    public void loadContent() {
    }
}
