package ch.zhaw.projekt2.turnierverwaltung.main.gameScheduleView;


import ch.zhaw.projekt2.turnierverwaltung.FileIO;
import ch.zhaw.projekt2.turnierverwaltung.LanguageConfigurator;
import javafx.scene.control.Alert;
import javafx.scene.control.ButtonBar;
import javafx.scene.control.ButtonType;
/**
 * Class that is used to display the popup window to confirm a sensitive action of the user.
 */

import java.util.logging.Logger;


/**
 * Class that is used to display the popup window to confirm a sensitive action of the user.
 */
public class AlertNewSchedule extends Alert {
    private ButtonType yesButton;
    private ButtonType noButton;
    private Boolean result;
    private String yes;
    private String no;
    private String titleDelete;
    private String headerDelete;
    private String contentDelete;

    /**
     * Popup to ask the user if he is sure that he wants to reshuffle the game board.
     */
    public AlertNewSchedule(LanguageConfigurator languageConfigurator){
        super(Alert.AlertType.WARNING);
        yes = languageConfigurator.getSelectedLanguage("yes");
        no = languageConfigurator.getSelectedLanguage("no");
        titleDelete = languageConfigurator.getSelectedLanguage("titleSchedule");
        headerDelete = languageConfigurator.getSelectedLanguage("headerSchedule");
        contentDelete = languageConfigurator.getSelectedLanguage("contentSchedule");
        yesButton = new ButtonType(yes, ButtonBar.ButtonData.YES);
        noButton = new ButtonType(no, ButtonBar.ButtonData.NO);
        setTitle(titleDelete);
        setHeaderText(headerDelete);
        setContentText(contentDelete);
        getButtonTypes().setAll(yesButton, noButton);
    }

    /**
     * Result gathered from previous question popup window
     *
     * @return boolean true if yes button is pressed and false if no is pressed
     */
    public boolean showAndGetResult() {
        showAndWait().ifPresent(input -> {
            result = input == yesButton;
        });
        return result;
    }
}
