package ch.zhaw.projekt2.turnierverwaltung.main.gameScheduleView;

import ch.zhaw.projekt2.turnierverwaltung.FXController;
import javafx.event.ActionEvent;
import javafx.fxml.FXML;
import javafx.scene.control.Button;
import javafx.scene.control.CheckBox;
import javafx.scene.control.Labeled;
import javafx.scene.layout.HBox;

public class GameScheduleController extends FXController {
    
    @FXML
    private Button createScheduleBtn;

    @FXML
    private Button editLocBtn;

    @FXML
    private Button editParticipantBtn;

    @FXML
    private Button closeTournamentBtn;

    @FXML
    private HBox hBoxCenter;

    @FXML
    private CheckBox treeView;

    @Override
    public void shareGUIElementWithLanguageConfigurator() {
        getLanguageConfigurator().recieveLabel(treeView);
        getLanguageConfigurator().recieveLabel(createScheduleBtn);
        getLanguageConfigurator().recieveLabel(editParticipantBtn);
        getLanguageConfigurator().recieveLabel(editLocBtn);
        getLanguageConfigurator().recieveLabel(closeTournamentBtn);
    }

    @FXML
    void createNewSchedule(ActionEvent event) {
        if (getTournamentDecorator().getTournament().getGameList().size() > 0) {
            AlertNewSchedule alert = new AlertNewSchedule(getLanguageConfigurator());
            if (alert.showAndGetResult()) {
                getTournamentDecorator().createNewGameSchedule();
            }
        } else {
            getTournamentDecorator().createNewGameSchedule();
        }
    }

    @FXML
    void openPlacesFormular(ActionEvent event) {
        getFactoryDecorator().openPlacesForm();
    }

    @FXML
    void openParticipantFormular(ActionEvent event) {
        getFactoryDecorator().openParticipantForm();
    }

    @FXML
    void closeTournament(ActionEvent event) {
        getFactoryDecorator().openTournamentList();
    }

    @FXML
    void changeView(ActionEvent event) {
        loadContent();
    }

    @Override
    public void loadContent() {
        getFactoryDecorator().loadGameList(hBoxCenter, getTournamentDecorator(), treeView.isSelected());
    }
}

